Subject: Bug#1296: [X2Go-Dev] Bug#1296: Bug#1296: x2gobroker-ssh : wrong password after password change in interactive mode

From: Mike Gabriel <[email-masked]>
Date: Fri, 07 Sep 2018 10:29:09 +0000

Control: reassign -1 x2goclient

HI Walid,

On  Di 15 Mai 2018 14:19:11 CEST, Mike Gabriel wrote:

> Control: tags -1 patch
>
> Hi Walid,
>
> On  Mi 09 Mai 2018 16:50:13 CEST, Walid MOGHRABI wrote:
>
>> package: x2gobroker-ssh
>> version: 0.0.4.0-0~1022~ubuntu16.04.1
>> priority: bug
>>
>>
>> x2gobroker-ssh supports interactive mode which means that it can  
>> reports login interactions to the user such as password changes  
>> requests.
>> Let's say that my user's password has expired, when I login to the  
>> broker with x2goclient in broker mode, I'll see a new form asking  
>> for my old password and I must type/confirm my new password.
>> Once done, I'll be granted access to the broker and I'll get my  
>> session profiles list on the right sidebar of the client.
>> Since I'm using --use-broker-pass, I don't have to re-type my  
>> password when connecting to a session but in that specific use  
>> case, I get an auth error while connecting because of wrong password.
>>
>> In fact, it appears that the client keeps the first password that  
>> has been entered at the broker login prompt (the one that expired)  
>> when passing it to the session profile.
>> Once you get the auth error, you'll be prompted with user/pass for  
>> the session profile, if you enter the new password, then it works.
>
> Can you please test, if the below patch fixes your issue?
>
> ```
> diff --git a/src/onmainwindow.cpp b/src/onmainwindow.cpp
> index eca9451..5ab1dc4 100644
> --- a/src/onmainwindow.cpp
> +++ b/src/onmainwindow.cpp
> @@ -1142,6 +1142,7 @@ void ONMainWindow::slotChangeBrokerPass()
>          return;
>      }
>      broker->changePassword(passDlg.newPass());
> +    config.brokerPass = passDlg.newPass();
>      setStatStatus ( tr ( "Connecting to broker" ) );
>      stInfo->insertPlainText ( "broker url: "+config.brokerurl );
>      setEnabled ( false );
> ```

I haven't had feedback on the above patch, yet. Can you please test  
it? Thanks.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de